Package twisted :: Package runner :: Module procmon :: Class ProcessMonitor

[show private | hide private]
[frames | no frames]

## Class ProcessMonitor

    OriginalAccessor --+
                       |
           Versioned --+
                       |
      ApplicationService --+
                           |
                          ProcessMonitor

Method Summary
| `__init__(self, *args, **kw)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getstate__(self)`
| `__repr__(self)`
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| `addProcess(self, name, args, uid, gid)`
| `connectionLost(self, name)`
| ``disownServiceParent`(self)` Have my parent disown me. (inherited from `ApplicationService`)
| `get_application(self)` (inherited from `ApplicationService`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeProcess(self, name)`
| `restartAll(self)`
| `set_application(self, application)` (inherited from `ApplicationService`)
| `setApplication(self, application)` (inherited from `ApplicationService`)
| ``setServiceParent`(self, serviceParent)` Set my parent, which must be a service collection of some kind. (inherited from `ApplicationService`)
| `startProcess(self, name)`
| ``startService`(self)` This call is made as a service starts up.
| `stopProcess(self, name)`
| ``stopService`(self)` This call is made before shutdown.
| `upgradeToVersion1(self)` (inherited from `ApplicationService`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)
| `_checkConsistency(self)`
| `_forceStopProcess(self, proc)`

Class Variable Summary
`int` | `active`
`NoneType` | `consistency`
`int` | `consistencyDelay`
`int` | `killTime`
`int` | `threshold`

Method Details

### startService(self)

This call is made as a service starts up.

  Overrides:
    `twisted.internet.app.ApplicationService.startService` (inherited documentation)

### stopService(self)

This call is made before shutdown.

  Overrides:
    `twisted.internet.app.ApplicationService.stopService` (inherited documentation)

Class Variable Details

### active

  Type:
    `int`
  Value:

        0

### consistency

  Type:
    `NoneType`
  Value:

        None

### consistencyDelay

  Type:
    `int`
  Value:

        60

### killTime

  Type:
    `int`
  Value:

        5

### threshold

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:18:58 2003 | http://epydoc.sf.net